apiVersion: forklift.konveyor.io/v1beta1
kind: Migration
metadata:
  generateName: warm-suse15sp6-en-
  resourceVersion: '233843'
  name: warm-suse15sp6-en-j5cv2
  uid: 491f65ff-6156-4e63-b22c-aeae47f4bc2f
  creationTimestamp: '2025-11-25T07:28:45Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"a50c1b7d-e415-42da-b467-51ed691232d8"}': {}
        'f:spec':
          .: {}
          'f:plan': {}
      manager: Mozilla
      operation: Update
      time: '2025-11-25T07:28:45Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:completed': {}
          'f:conditions': {}
          'f:observedGeneration': {}
          'f:started': {}
          'f:vms': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-11-25T07:32:43Z'
  namespace: openshift-mtv
  ownerReferences:
    - apiVersion: forklift.konveyor.io/v1beta1
      kind: Plan
      name: warm-suse15sp6-en
      uid: a50c1b7d-e415-42da-b467-51ed691232d8
spec:
  plan:
    name: warm-suse15sp6-en
    namespace: openshift-mtv
    uid: a50c1b7d-e415-42da-b467-51ed691232d8
status:
  completed: '2025-11-25T07:32:43Z'
  conditions:
    - category: Required
      lastTransitionTime: '2025-11-25T07:28:45Z'
      message: The migration is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-11-25T07:32:43Z'
      message: The migration has FAILED.
      status: 'True'
      type: Failed
  observedGeneration: 1
  started: '2025-11-25T07:28:46Z'
  vms:
    - started: '2025-11-25T07:28:45Z'
      pipeline:
        - completed: '2025-11-25T07:29:20Z'
          description: Initialize migration.
          name: Initialize
          phase: Completed
          progress:
            completed: 0
            total: 1
          started: '2025-11-25T07:28:45Z'
        - completed: '2025-11-25T07:29:08Z'
          description: Run pre-migration hook.
          name: PreHook
          phase: Completed
          progress:
            completed: 1
            total: 1
          started: '2025-11-25T07:28:47Z'
        - description: Inspect VM before migration.
          error:
            phase: Running
            reasons:
              - VM guest inspection failed
          name: PreflightInspection
          phase: Running
          progress:
            completed: 0
            total: 1
          started: '2025-11-25T07:29:21Z'
        - annotations:
            unit: MB
          description: Transfer disks.
          name: DiskTransfer
          phase: Pending
          progress:
            completed: 0
            total: 21504
          tasks:
            - annotations:
                unit: MB
              name: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en.vmdk'
              progress:
                completed: 0
                total: 20480
            - annotations:
                unit: MB
              name: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en_1.vmdk'
              progress:
                completed: 0
                total: 1024
        - annotations:
            unit: MB
          description: Finalize disk transfer.
          name: Cutover
          progress:
            completed: 0
            total: 21504
          tasks:
            - annotations:
                unit: MB
              name: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en.vmdk'
              progress:
                completed: 0
                total: 20480
            - annotations:
                unit: MB
              name: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en_1.vmdk'
              progress:
                completed: 0
                total: 1024
        - description: Convert image to kubevirt.
          name: ImageConversion
          phase: Pending
          progress:
            completed: 0
            total: 1
        - description: Create VM.
          name: VirtualMachineCreation
          phase: Pending
          progress:
            completed: 0
            total: 1
        - description: Run post-migration hook.
          name: PostHook
          phase: Pending
          progress:
            completed: 0
            total: 1
      warm:
        consecutiveFailures: 0
        failures: 0
        precopies:
          - createTaskId: task-8228
            deltas:
              - deltaId: 52 34 47 26 67 37 43 6f-2b 18 cd 40 32 f6 78 11/8
                disk: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en.vmdk'
              - deltaId: 52 ba c4 6c 32 65 da 8e-d1 73 47 2a d3 c7 66 2d/8
                disk: '[nfs-us-mtv-v7] mtv-func-suse15sp6-en/mtv-func-suse15sp6-en_1.vmdk'
            snapshot: snapshot-4054
            start: '2025-11-25T07:29:10Z'
        successes: 0
      error:
        phase: PreflightInspection
        reasons:
          - VM guest inspection failed
      completed: '2025-11-25T07:32:43Z'
      name: mtv-func-suse15sp6-en
      hooks:
        - hook:
            name: warm-suse15sp6-en-pre-hook
            namespace: openshift-mtv
          step: PreHook
        - hook:
            name: warm-suse15sp6-en-post-hook
            namespace: openshift-mtv
          step: PostHook
      luks: {}
      conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: '2025-11-25T07:32:10Z'
          message: The VM migration has FAILED.
          status: 'True'
          type: Failed
      id: vm-4040
      phase: Completed
